cURL
curl --request GET \
--url https://api.covalenthq.com/v1/allchains/transactions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/allchains/transactions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/allchains/transactions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.covalenthq.com/v1/allchains/transactions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.covalenthq.com/v1/allchains/transactions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.covalenthq.com/v1/allchains/transactions/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.covalenthq.com/v1/allchains/transactions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"updated_at": "2023-11-07T05:31:56Z",
"cursor_before": "<string>",
"cursor_after": "<string>",
"quote_currency": "<string>",
"items": [
{
"block_height": 123,
"block_signed_at": "2023-11-07T05:31:56Z",
"block_hash": "<string>",
"tx_hash": "<string>",
"tx_offset": 123,
"miner_address": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"value": "<string>",
"value_quote": 123,
"pretty_value_quote": "<string>",
"gas_offered": 123,
"gas_spent": 123,
"gas_price": 123,
"gas_quote": 123,
"pretty_gas_quote": "<string>",
"gas_quote_rate": 123,
"fees_paid": "<string>",
"gas_metadata": {
"contract_decimals": 123,
"contract_name": "<string>",
"contract_ticker_symbol": "<string>",
"contract_address": "<string>",
"supports_erc": [
"<string>"
],
"logo_url": "<string>"
},
"successful": true,
"chain_id": "<string>",
"chain_name": "<string>",
"explorers": [
{
"label": "<string>",
"url": "<string>"
}
],
"log_events": [
{
"block_signed_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"tx_offset": 123,
"log_offset": 123,
"tx_hash": "<string>",
"raw_log_topics": [
"<string>"
],
"sender_contract_decimals": 123,
"sender_name": "<string>",
"sender_contract_ticker_symbol": "<string>",
"sender_address": "<string>",
"sender_logo_url": "<string>",
"supports_erc": [
"<string>"
],
"sender_factory_address": "<string>",
"raw_log_data": "<string>",
"decoded": {
"name": "<string>",
"signature": "<string>",
"params": [
{
"name": "<string>",
"type": "<string>",
"indexed": true,
"decoded": true,
"value": "<string>"
}
]
}
}
],
"input_data": {
"method_id": "<string>"
}
}
]
}Cross Chain
Cross-Chain Transaction History API
Fetch paginated transactions for up to 10 EVM addresses and 10 EVM chains with one API call. Useful for building Activity Feeds.
GET
/
v1
/
allchains
/
transactions
/
cURL
curl --request GET \
--url https://api.covalenthq.com/v1/allchains/transactions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/allchains/transactions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/allchains/transactions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.covalenthq.com/v1/allchains/transactions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.covalenthq.com/v1/allchains/transactions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.covalenthq.com/v1/allchains/transactions/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.covalenthq.com/v1/allchains/transactions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"updated_at": "2023-11-07T05:31:56Z",
"cursor_before": "<string>",
"cursor_after": "<string>",
"quote_currency": "<string>",
"items": [
{
"block_height": 123,
"block_signed_at": "2023-11-07T05:31:56Z",
"block_hash": "<string>",
"tx_hash": "<string>",
"tx_offset": 123,
"miner_address": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"value": "<string>",
"value_quote": 123,
"pretty_value_quote": "<string>",
"gas_offered": 123,
"gas_spent": 123,
"gas_price": 123,
"gas_quote": 123,
"pretty_gas_quote": "<string>",
"gas_quote_rate": 123,
"fees_paid": "<string>",
"gas_metadata": {
"contract_decimals": 123,
"contract_name": "<string>",
"contract_ticker_symbol": "<string>",
"contract_address": "<string>",
"supports_erc": [
"<string>"
],
"logo_url": "<string>"
},
"successful": true,
"chain_id": "<string>",
"chain_name": "<string>",
"explorers": [
{
"label": "<string>",
"url": "<string>"
}
],
"log_events": [
{
"block_signed_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"tx_offset": 123,
"log_offset": 123,
"tx_hash": "<string>",
"raw_log_topics": [
"<string>"
],
"sender_contract_decimals": 123,
"sender_name": "<string>",
"sender_contract_ticker_symbol": "<string>",
"sender_address": "<string>",
"sender_logo_url": "<string>",
"supports_erc": [
"<string>"
],
"sender_factory_address": "<string>",
"raw_log_data": "<string>",
"decoded": {
"name": "<string>",
"signature": "<string>",
"params": [
{
"name": "<string>",
"type": "<string>",
"indexed": true,
"decoded": true,
"value": "<string>"
}
]
}
}
],
"input_data": {
"method_id": "<string>"
}
}
]
}Credit Cost
0.25 per item
Processing
Realtime
Estimate your monthly cost for this API using the Pricing Calculator.
Base cost is
0.1 credits (e.g. requests that return with status 200 but no items).Calls without logs cost 0.1 credits/item.Calls with-logs costs 0.2 credits/item.Calls with-decoded-logs costs 0.25 credits/item.This Multichain & Multiaddress Transactions API is supported across all EVM chains. When no chains are specified, the Foundational Chains are passed as default.Domain names (e.g. demo.eth) are not supported.Authorizations
Query Parameters
Whether to include each transaction's input data, which is returned as input_data.method_id. Unlike the single-transaction endpoint this never returns a 501: transactions from chains that do not support input data are returned without the field. Costs an extra 0.05 credits/item.
Response
200 - application/json
Successful response